# Uses of Interface
javax.xml.transform.SourceLocator

Packages that use SourceLocator
Package
Description
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.
javax.xml.transform.dom
Provides DOM specific transformation classes.

## Uses of SourceLocator in javax.xml.transform

Methods in javax.xml.transform that return SourceLocator
Modifier and Type
Method
Description
`SourceLocator`
TransformerException.`getLocator()`
Method getLocator retrieves an instance of a SourceLocator object that specifies where an error occurred.
Methods in javax.xml.transform with parameters of type SourceLocator
Modifier and Type
Method
Description
`void`
TransformerException.`setLocator​(SourceLocator location)`
Method setLocator sets an instance of a SourceLocator object that specifies where an error occurred.
Constructors in javax.xml.transform with parameters of type SourceLocator
Modifier
Constructor
Description
``
`TransformerConfigurationException​(String message, SourceLocator locator)`
Create a new TransformerConfigurationException from a message and a Locator.
``
`TransformerConfigurationException​(String message, SourceLocator locator, Throwable e)`
Wrap an existing exception in a TransformerConfigurationException.
``
`TransformerException​(String message, SourceLocator locator)`
Create a new TransformerException from a message and a Locator.
``
`TransformerException​(String message, SourceLocator locator, Throwable e)`
Wrap an existing exception in a TransformerException.

## Uses of SourceLocator in javax.xml.transform.dom

Subinterfaces of SourceLocator in javax.xml.transform.dom
Modifier and Type
Interface
Description
`interface`
`DOMLocator`
Indicates the position of a node in a source DOM, intended primarily for error reporting.